#include <iostream>
#include <fstream>
#include <cstdlib>
#include <ctime>
using namespace std;

const char* actions = "KPR";
int get_random() {
    ifstream in("/dev/urandom", ios::binary);
    int num;
    in.read((char*)&num, sizeof(num));
    return num;
}
void init_randomness() { srand(get_random()); }
char random_action() { return actions[rand() % 3]; }
char my_turn, their_turn;


#define CYCLE_LEN 10

int main() {
    init_randomness();

    char values[CYCLE_LEN];
    for (int i = 0; i < CYCLE_LEN; i++) values[i] = random_action();
    
    int cur = 0;
   
    do {
        my_turn = values[cur];
        cur = (cur + 1) % CYCLE_LEN;
        cout << my_turn << endl;
        cin >> their_turn;
    }
    while (their_turn != 'L');

    return 0;
}

