# coding: utf-8
'''
Ülesanne: Jalutuskäik

Teisendused:
  1s/km == 1000m/s
  1m0s/km == 60s/km == 16.(6)m/s
'''
import math

sfn = 'jalusis.txt'
vfn = 'jaluval.txt'
try:

    sis = open(sfn, 'r')
    sisu = sis.read()
    sis.close()

    andmed = sisu.splitlines()

    N = int(andmed[0])
    S = 0
    T = 0

    for s in andmed[1:N+1]:
        d = s.split()
        ajatekst = d[0].strip('s').split('m')
        aeg = 0 # sec
        for x in ajatekst:
            aeg = aeg * 60 + int(x)
        kiirustekst = d[2].strip('s/km').split('m')
        kiirus = int(kiirustekst[0]) * 60 + int(kiirustekst[1]) # sec/km
        kiirus = 1000.0 / kiirus # m/sec
        T += aeg # sec
        S += aeg*kiirus # m

    V = (S / T) * 3.6 # km/h

    val = open(vfn, 'w')

    val.write( '{0!s}m\n'.format(int(round(S))))
    val.write( '{0!s}km/h\n'.format(round(V,3)))
    val.close()

except:
    print 'Ei leia faili: ', sfn
