#include<iostream>
#include<fstream>
#include<vector>
#define f first
#define s second
#define mp make_pair
using namespace std;

int n, m, p1, p2, k, optn, outn;
bool inpair[40];
vector<pair<int, int> > edge;

int main(int argc, char ** args) {
	if(argc != 4) {
		cerr << "Invalid no. of arguments. Usage:\n" << args[0] << " [input file] [correct solution] [solution to test]\n";
		return 0;
	}
	
	ifstream in(args[1]), cor(args[2]), out(args[3]);
	
	in >> n >> m >> k;
	
	for(int i = 0;i < k;i++) {
		in >> p1 >> p2;
		
		edge.push_back(mp(p1-1, p2-1) );
	}
	
	
	cor >> optn;
	
	out >> outn;
	
	if(outn != optn) {
		cout << "0\n";
                cerr << "Not the correct no. of pairs in solution\n";
		return 0;
	}
	
	
	for(int i=0;i<outn;i++) {
		out >> p1 >> p2, p1--, p2--;
		
		if(p1 >= n || p2 >= m || p1 < 0 || p2 < 0) {
			cout << "0\n";
                        cerr << "Not a valid pair\n";
			return 0;
		}
		
		if(inpair[p1] || inpair[20 + p2]) {
			cout << "0\n";
                        cerr << "A partier can't be in two pairs at once\n";
			return 0;
		}
		
		inpair[p1] = true;
		inpair[20 + p2] = true;
	}
	
	
	for(int i=0;i<edge.size();i++) {
		if(!inpair[edge[i].f] && !inpair[20 + edge[i].s]) {
			cout << "0\n";
                        cerr << "There exists an extra loud pair\n";
			return 0;
		}
	}
	
	
	cout << "1\n";
        cerr << "Everything's OK\n";
	return 0;
}



























