//Autor: Oliver-Matis Lill
//10p grupid 2
//O(2 ^ k)
//Tyyp: Variantide labivaatlus
//
//Siin me lihtsalt proovime koik paaride valiku kombinatsioonid labi

#include<iostream>
#include<vector>
#include<fstream>
#define f first
#define s second
#define mp make_pair
using namespace std;

bool inpair[40];
int n, m, k, p1, p2, optn = 1000000000 ,optcomb;
vector<pair<int, int> > edge;

void solve(int cure, int nchosen, int chosencomb) {
	if(cure == k) {
		//First check if all edges are satisfied
		
		for(int i=0;i<edge.size();i++)
			if(!inpair[edge[i].f] && !inpair[20 + edge[i].s])
				return;
		
		if(nchosen < optn) {
			optn = nchosen;
			optcomb = chosencomb;
		}
		
		return;
	}
	
	solve(cure + 1, nchosen, chosencomb * 2);
	
	if(!inpair[edge[cure].f] && !inpair[20 + edge[cure].s]) {
		inpair[edge[cure].f] = true;
		inpair[20 + edge[cure].s] = true;
		
		solve(cure + 1, nchosen + 1, chosencomb * 2 + 1);
		
		inpair[edge[cure].f] = false;
		inpair[20 + edge[cure].s] = false;
	}
} 

int main() {
	ifstream in("pidusis.txt");
	
	in >> n >> m >> k;
	
	for(int i=0;i<k;i++) {
		in >> p1 >> p2, p1--, p2--;
		
		edge.push_back(mp(p1, p2) );
	}
	
	solve(0, 0, 0);
	
	ofstream out("piduval.txt");
	out << optn << '\n';
	
	for(int i=k-1;i>=0;i--) {
		if(optcomb % 2 == 1)
			out << edge[i].f + 1 << ' ' << edge[i].s + 1 << '\n';
		
		optcomb /= 2;
	}
	
	return 0;
}




















